Bug 209641 - games/wesnoth: Update to 1.12.6
Summary: games/wesnoth: Update to 1.12.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-19 14:45 UTC by Torsten Zühlsdorff
Modified: 2016-12-20 16:37 UTC (History)
2 users (show)

See Also:


Attachments
patch with update to 1.12.6 (837 bytes, patch)
2016-05-19 14:45 UTC, Torsten Zühlsdorff
tz: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2016-05-19 14:45:25 UTC
Created attachment 170483 [details]
patch with update to 1.12.6

Hello,

attached a patch to update the port to its current version. Buildtests are fine for 9.3, 10.0, 10.2 and 10.3 amd64 and i386. They fail for current because of build-problems with devel/jsoncpp.

I also played a while to be sure everything is fine. ;)

Greetings,
Torsten
Comment 1 Pawel Pekala freebsd_committer 2016-05-22 09:24:55 UTC
Port builds fine with default options, but there are problems with non-default
options builds:

http://people.freebsd.org/~pawel/buildlogs/wesnoth-1.12.6,1-9amd64.log
http://people.freebsd.org/~pawel/buildlogs/wesnoth-1.12.6,1-10amd64.log
Comment 2 Torsten Zühlsdorff 2016-05-27 09:13:00 UTC
I will have a look at this next week. It tooks really long for a simple test...
Comment 3 Pawel Pekala freebsd_committer 2016-08-26 09:17:00 UTC
Submitter is now a committer.
Comment 4 Jan Beich freebsd_committer 2016-12-19 13:00:20 UTC
Can you land this before beefy<5-6,9-10> started to build the next batch containing bug 215357 fix ?

http://beefy5.nyi.freebsd.org/
http://beefy9.nyi.freebsd.org/
Comment 5 Torsten Zuehlsdorff freebsd_committer 2016-12-19 14:34:46 UTC
Thanks to your patch i'm currently looking into this. Testbuilds are currently running, but i thing it did not find anytime before tomorrow. 

When is the next run?
Comment 6 Torsten Zuehlsdorff freebsd_committer 2016-12-19 14:36:08 UTC
Comment on attachment 170483 [details]
patch with update to 1.12.6

Patch did not apply anymore and ignores broken TEST option.
Comment 7 Jan Beich freebsd_committer 2016-12-19 15:31:00 UTC
(In reply to Torsten Zuehlsdorff from comment #5)
> When is the next run?

Probably tomorrow. portmgr@ may know details why builders remain in stopped:done: state for 1 or 2 days rather than run continuously. According to http://pkg-status.freebsd.org/ only non-Tier1 platforms run atm but those are slow, especially on qemu-user-static.

I've learned to adjust some of my commits to the current pacing. ;)

(In reply to Torsten Zuehlsdorff from comment #6)
> Patch did not apply anymore and ignores broken TEST option.

TEST=on builds fine on at least 11.0 i386: http://sprunge.us/NMOY
Comment 8 commit-hook freebsd_committer 2016-12-20 16:36:29 UTC
A commit references this bug:

Author: tz
Date: Tue Dec 20 16:36:16 UTC 2016
New revision: 428998
URL: https://svnweb.freebsd.org/changeset/ports/428998

Log:
  games/wesnoth: Update from 1.12.5 to 1.12.6

  Changelog: https://raw.githubusercontent.com/wesnoth/wesnoth/1.12.6/changelog

  The TEST option is broken in FreeBSD 10.x and 9.x but builds fine on 11. This
  will investigated later.

  PR:          209641
  Approved by: mentors (implicit)

Changes:
  head/games/wesnoth/Makefile
  head/games/wesnoth/distinfo